/*
 * Copyright (c) 2014, Oracle and/or its affiliates. All rights reserved.
 * ORACLE PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 * 
 * $Id: AppConfig.java 74172 2014-10-30 14:11:06Z supol $  
 */

package com.sun.ts.tests.jaxrs.ee.rs.beanparam.matrix.plain;

import javax.ws.rs.core.Application;

import com.sun.ts.tests.jaxrs.ee.rs.RuntimeExceptionMapper;
import com.sun.ts.tests.jaxrs.ee.rs.WebApplicationExceptionMapper;

import java.util.Set;
import java.util.HashSet;

public class AppConfig extends Application {

	public java.util.Set<java.lang.Class<?>> getClasses() {
		Set<Class<?>> resources = new HashSet<Class<?>>();
		resources.add(Resource.class);
		resources.add(RuntimeExceptionMapper.class);
		resources.add(WebApplicationExceptionMapper.class);
		return resources;
	}
}
